%{!?tcl_version: %global tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %global tcl_sitearch %{_libdir}/tcl%{tcl_version}}
%global realname tktreectrl

Name:		tcl-%{realname}
Version:	2.4.1
Release:	15%{?dist}
Summary:	Multi-column hierarchical listbox widget for Tk
Group:		System Environment/Libraries
License:	TCL
URL:		http://tktreectrl.sourceforge.net/
Source0:	http://downloads.sourceforge.net/tktreectrl/%{realname}-%{version}.tar.gz
Obsoletes:	tk-%{realname} < 2.2.3-6
Provides:	%{realname} = %{version}-%{release}
Provides:	tk-%{realname} = %{version}-%{release}
BuildRequires:	tk-devel
Requires:	tcl(abi) = 8.6 tk


%description
TkTreeCtrl is a flexible listbox widget for Tk.

%prep
%setup -q -n %{realname}-%{version}
chmod -x ChangeLog README.txt license.terms doc/*.html generic/*

%build
%configure --with-tcl=%{tcl_sitearch}
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
install -d %{buildroot}%{tcl_sitearch}
mv %{buildroot}%{_libdir}/treectrl%{version} %{buildroot}%{tcl_sitearch}/treectrl%{version}

# Remove documentation files from the installation tree
rm -rf $RPM_BUILD_ROOT%{tcl_sitearch}/treectrl%{version}/htmldoc

%files
%license license.terms
%doc README.txt ChangeLog doc/*.html
%{tcl_sitearch}/treectrl%{version}/
%{_mandir}/mann/treectrl*

%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 26 2016 Tom Callaway <spot@fedoraproject.org> - 2.4.1-11
- modernize spec file

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 2.4.1-7
- Changed requires to require tcl-8.6

* Wed May 21 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 2.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/f21tcl86

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 20 2011 Tom Callaway <spot@fedoraproject.org> - 2.4.1-1
- update to 2.4.1

* Tue Aug 23 2011 Tom Callaway <spot@fedoraproject.org> - 2.4-1
- update to 2.4

* Mon Jun 13 2011 Tom Callaway <spot@fedoraproject.org> - 2.4-0.2.b2
- update to 2.4b2

* Mon May  9 2011 Tom Callaway <spot@fedoraproject.org> - 2.4-0.1.b1
- update to 2.4b1

* Fri Apr  1 2011 Tom Callaway <spot@fedoraproject.org> - 2.3.2-1
- update to 2.3.2

* Mon Mar 28 2011 Tom Callaway <spot@fedoraproject.org> - 2.3.1-1
- update to 2.3.1

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 10 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.3-1
- update to 2.3

* Mon Jun 14 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.2.10-1
- update to 2.2.10

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 13 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.2.9-1
- update to 2.2.9

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Wart <wart@kobold.org> 2.2.8-2
- Move html documentation to proper doc directory
- Add missing Requires: on tk
- Remove redundant BuildRequires.  Everything necessary is brought in by
  tk-devel.

* Fri Oct 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.8-1
- update to 2.2.8

* Mon Jun  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.5-1
- initial package for Fedora
